Skip to main content
Resource Center/Resource Pool/VM Scheduling Rule Group Operations
POSTVM Scheduling Rule Group OperationsSince 4.6.0SynchronousAuth Required

AddVmToVmSchedulingRuleGroup

AddVmToVmSchedulingRuleGroup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • vmGroupUuidStringRequired

    The VM scheduling group UUID.

  • vmUuidStringRequired

    The VM instance UUID.

Body Fields

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

POST/zstack/v1/vmSchedulingRuleGroup/{vmGroupUuid}/vmInstance/{vmUuid}

/zstack/v1/vmSchedulingRuleGroup/{vmGroupUuid}/vmInstance/{vmUuid}

Operation ID

AddVmToVmSchedulingRuleGroup

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/vmSchedulingRuleGroup/{vmGroupUuid}/vmInstance/{vmUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history